Subject: [manet] address autoconfiguration requirement and DAD

From: Soohong Daniel Park <[email-masked]>
Date: Fri, 29 Aug 2003 19:17:12 +0900

Hi Paul

Roughly reading, there is a comment as follows

o  MUST be capable of providing IP address in a reasonable delay.
=> s/ MUST/ SHOULD   
o  MUST be capable of discovering whether an IP address is currently in
use.
=> s/MUST/ SHOULD

Generally, current proposed mechiansms do not perform normal DAD 
because the probability of an address collision is very low, and DAD is
also 
complex to setup in an adhoc networks.

Also this draft has already written below requirement for manual address
conf.

o  SHOULD be able to process the address conflict due to manual address
configuration.

This draft should make a sync for both...

Daniel (Soohong Daniel Park)
Mobile Platform Lab,SAMSUNG Electronics

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Jaehoon Paul Jeong" <[email-masked]>
Date: Sat, 30 Aug 2003 13:03:53 +0900

Hi Daniel,

----- Original Message ----- 
From: "Soohong Daniel Park" <[email-masked]>
> o  MUST be capable of discovering whether an IP address is currently in

I think the above is a little reasonable suggestion.
However, the address configuration should be done in a timely manner and 
the detection of duplicate address should be guaranteed within 
a connected or merged MANET partition.
These requirements should be mandatory, shouldn't they?

> complex to setup in an adhoc networks.

In my draft, the normal DAD, aka Strong-DAD, is performed within a connected partition
at the initialization phase of network interface and Weak-DAD is also performed for detecting 
duplicate address during ad-hoc routing.
Refer to http://www.ietf.org/internet-drafts/draft-jeong-adhoc-ip-addr-autoconf-00.txt

> This draft should make a sync for both...

Absolutely right.
According to RFC 2462, IPv6 Stateless Address Autoconfiguration,
all addresses obtained manually or via stateful address autoconfiguration 
should be tested for uniqueness individually.
Therefore, the manually configured address of mobile node should be verified through DAD.

Thanks for your comments.

/Paul

> &jw™¨¥Šx%ŠËfjw‰ë_¢¸!¶Úlÿü0ÃXžµú+ƒùšŠYšŸùb²Ø§~æjw